Package org.bukkit.inventory.meta.tags

# Class ItemTagType.PrimitiveTagType<T>

java.lang.Object
org.bukkit.inventory.meta.tags.ItemTagType.PrimitiveTagType<T>

Type Parameters:
  `T` - the generic type of the primitive objects

All Implemented Interfaces:
  `ItemTagType<T,T>`

Enclosing interface:
  ItemTagType<T,Z>

public static class ItemTagType.PrimitiveTagType<T> extends Object implements ItemTagType<T,T>
A default implementation that simply exists to pass on the retrieved or inserted value to the next layer. This implementation does not add any kind of logic, but is used to provide default implementations for the primitive types.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.inventory.meta.tags.ItemTagType

`ItemTagType.PrimitiveTagType<T>`

## Field Summary

### Fields inherited from interface org.bukkit.inventory.meta.tags.ItemTagType

`BYTE, BYTE_ARRAY, DOUBLE, FLOAT, INTEGER, INTEGER_ARRAY, LONG, LONG_ARRAY, SHORT, STRING, TAG_CONTAINER`

## Method Summary

Modifier and Type
Method
Description
`T`
`fromPrimitive(T primitive, @NotNull ItemTagAdapterContext context)`
Creates a complex object based of the passed primitive value
`@NotNull Class<T>`
`getComplexType()`
Returns the complex object type the primitive value resembles.
`@NotNull Class<T>`
`getPrimitiveType()`
Returns the primitive data type of this tag.
`T`
`toPrimitive(T complex, @NotNull ItemTagAdapterContext context)`
Returns the primitive data that resembles the complex object passed to this method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPrimitiveType

@NotNull public @NotNull Class<T> getPrimitiveType()
Description copied from interface: `ItemTagType`
Returns the primitive data type of this tag.

Specified by:
  `getPrimitiveType` in interface `ItemTagType<T,T>`
Returns:
  the class

### getComplexType

@NotNull public @NotNull Class<T> getComplexType()
Description copied from interface: `ItemTagType`
Returns the complex object type the primitive value resembles.

Specified by:
  `getComplexType` in interface `ItemTagType<T,T>`
Returns:
  the class type

### toPrimitive

@NotNull public T toPrimitive(@NotNull T complex, @NotNull @NotNull ItemTagAdapterContext context)
Description copied from interface: `ItemTagType`
Returns the primitive data that resembles the complex object passed to this method.

Specified by:
  `toPrimitive` in interface `ItemTagType<T,T>`
Parameters:
  `complex` - the complex object instance
  `context` - the context this operation is running in
Returns:
  the primitive value

### fromPrimitive

@NotNull public T fromPrimitive(@NotNull T primitive, @NotNull @NotNull ItemTagAdapterContext context)
Description copied from interface: `ItemTagType`
Creates a complex object based of the passed primitive value

Specified by:
  `fromPrimitive` in interface `ItemTagType<T,T>`
Parameters:
  `primitive` - the primitive value
  `context` - the context this operation is running in
Returns:
  the complex object instance